#include "rwmake.ch"
#include "tbiconn.ch"

User Function CIDA()


Local aSay			:= {}
Local aButton		:= {}
Local nOpc			:= 0
Local cCadastro		:= "CIDA CIDA CIDA"


aAdd ( aSay , "CIDA CIDA CIDA CIDA CIDA" )

aAdd ( aButton , { 1 , .T. , { || nOpc := 1,	FechaBatch()	}} )
aAdd ( aButton , { 2 , .T. , { || FechaBatch()					}} )
aAdd ( aButton , { 5 , .T. , { || Pergunte( _cPerg , .T. )		}} )

FormBatch( cCadastro , aSay , aButton )

If nOpc == 1

	ProcRegua(2) // Numero de processos/sub-processos

	IncProc("Exportando registros para o arquivo texto...")		//1o.

	SET CENTURY ON
	Processa( { |lEnd| cidao() } , "Integrao Protheus x CISP" , "Exportando registros para o arquivo texto..." , .T. )
	SET CENTURY OFF

	IncProc("Finalizando processo...")	//2o.
	
Endif   

//Ŀ
// Restaura a posicao original das areas de trabalho 
//

Return()

/*


Ŀ
Funcao ExpGKO        Por: Adalberto Moreno Batista  Data 07.05.2011
ٱ


*/
Static Function cidao()
Local cDetalhe  := ""
Local cEol		:= chr(13) + chr(10)
Local nSeq		:= GetMV("BR_GKOSEQ", .F., 1)
Local cRedesp	:= StrZero( Val( GetMV("BR_GKOREDE", .F., "") ), 15)
Local cArquivo	:= "\CIDA.TXT"
Local lOK		:= .T.
Local nTPesoB, nPesoB, nValor

LOCAL cCida := ""

nHdl := Fcreate(cArquivo)

If nHdl == -1
    MsgBox("O arquivo " + cArquivo + " no pode ser criado! Verifique os parmetros.","Ateno!","ERRO")
    Return()
Endif


//Ŀ
// Selecionando registros                                         
//
cQuery := "SELECT SF1.F1_DOC,SF1.F1_EMISSAO, SF1.F1_VALMERC, SF1.F1_VALBRUT,SF1.F1_USERLGI "
cQuery += "FROM " + RetSQLName("SF1") +" SF1 "
cQuery += "WHERE SF1.F1_EMISSAO >= '20120101' "
cQuery += "AND SF1.D_E_L_E_T_=' ' "  



if Select("TRB") > 0
	dbSelectArea("TRB")
	dbCloseArea()
endif
	
cQuery := ChangeQuery(cQuery)
dbUseArea( .T., "TOPCONN", TCGENQRY(,,cQuery),"TRB", .F., .T.)
tcSetField("TRB", "F1_EMISSAO", "D")
                      
dbSelectArea("TRB")
dbGotop()
if !eof() 
	Do While !Eof() .and. lOk 
	
		if alltrim(Embaralha(TRB->F1_USERLGI,1)) $ "Cida"
		
		
			cCida := Embaralha(TRB->F1_USERLGI,1)
			
			cDetalhe += (TRB->F1_DOC)		
			cDetalhe += dTOc(TRB->F1_EMISSAO)
			cDetalhe += str((TRB->F1_VALMERC))
			cDetalhe += str((TRB->F1_VALBRUT))
			cDetalhe += cCida
			cDetalhe += cEol
	
		    If fWrite(nHdl,cDetalhe,Len(cDetalhe)) != Len(cDetalhe)
		        If !MsgBox("Ocorreu um erro na gravacao do arquivo. Continua?","Pergunta","YESNO")
			        lOk	:= .F.
		            Exit
		        Endif
		    Endif

		endif		
	TRB->(DbSkip())
	enddo

else

	lOk	:= .F.
	
Endif

FClose(nHdl)

if Select("TRB") > 0
	dbSelectArea("TRB")
	dbCloseArea()
endif


if lOk

	MsgBox("O arquivo " + cArquivo + " foi criado com sucesso!","Informao","INFO")
	
else

	MsgBox("No foi encontrado registros dentro dos parmetros informados.","Informao","INFO")
//	fErase(cArquivo)
endif

Return()
